<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('shifts', function (Blueprint $table) {
            $table->string('is_night_shift')->default('No');
            $table->string('break1_early_out')->nullable();
            $table->string('break1_late_in')->nullable();
            $table->string('break2_early_out')->nullable();
            $table->string('break2_late_in')->nullable();
            $table->boolean('mark_absent_hld_abs_hld')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('shifts', function (Blueprint $table) {
            $table->dropColumn([
                'is_night_shift',
                'break1_early_out',
                'break1_late_in',
                'break2_early_out',
                'break2_late_in',
                'mark_absent_hld_abs_hld'
            ]);
        });
    }
};
